[mythtv] Ticket #7390: ./configure script on 64-bit fails

David George david at thegeorges.us
Wed Oct 21 15:56:17 UTC 2009


On 10/21/2009 11:16 AM, Ken Bass wrote:
> MythTV wrote:
>> #7390: ./configure script on 64-bit fails
>> Changes (by stuartm):
>>
>>   * status:  new => closed
>>   * resolution:  => invalid
>>   * mlocked:  0 => 1
>> Comment:
>>
>>  Whenever these '64bit' threads and bugs come, up there always seems 
>> to be
>>  some bizarre impression that the reporter must be the only person using
>>  64bit!? Well you aren't the only 64bit MythTV user, there are thousands
>>  and MythTV has been building as a 64bit application for 4 years.
>>
>>  This isn't a mythtv bug, it's a Fedora bug, it's missing lib paths in
>>  /etc/ld.so.conf.
>>
>
> I made no such absurd assumption (unless you only read the title). As 
> I mentioned, this would only be seen by firewire, XVMC, and openGL so 
> it would not be noticed by 'everyone' and might cause confusion.
>
> The has_library() routine manually includes /lib and /usr/lib rather 
> than relying on the ld.so.conf. So why not remove those then? I think 
> the default behavior is supposed to mirror what the linux 
> linker/loader (ld.so) looks for by default.
>
> If /lib64 and /usr/lib64 do not exist in /etc/ld.so.conf, then how 
> does ldd finds them on a 64-bit system for every other application?
> If I do an ldd on mythfrontend, all the linked libraries are from 
> /usr/lib64. That tells me the confgure script detection logic is what 
> is broken.
>
> And regardless, inst Fedora/Centos a pretty widely used distro to 
> ignore? This seems like a pretty simple one or two line fix to 
> has_library().

I use Fedora for my MythTV systems.  Because Fedora (and SuSE) 64-bit 
installs put the 64-bit libraries in lib64 instead of lib all you need 
to do is pass --libdir-name=lib64 in your ./configure command.  Other 
distros work differently.  For example Debian amd64, unless they have 
changed it recently, installs 64-bit libraries in lib and doesn't 
install 32-bit libraries by default.  And, If I read this properly, 
Ubuntu uses lib for 64-bit and lib32 for 32-bit.  One of the nice things 
about running packages instead of compiling from source is you don't 
have to worry about any of this.

So the default for configure will work for all 32-bit systems and some 
64-bit systems.  Fedora and SuSE are the only ones I know of off the top 
of my head that use lib64, but I am sure there are others.  Perhaps the 
configure script can be enhanced to detect the style of lib, lib32, 
lib64 used, but with such a simple command line option and with most 
people using packages it isn't that high of a priority.


-- 
David
http://pvrcompanion.com



More information about the mythtv-dev mailing list